[DEFAULT]
debug = True

transport_url = rabbit://openstack:RABBIT_PASSWORD@10.42.42.20/

dns_domain = local.

allow_overlapping_ips = True

core_plugin = ml2
service_plugins = router,neutron_lbaas.services.loadbalancer.plugin.LoadBalancerPluginv2,firewall

auth_strategy = keystone

router_distributed = False

l3_ha = False

api_workers = 2
rpc_workers = 2

notify_nova_on_port_data_changes = True
notify_nova_on_port_status_changes = True

bind_port = 9696

nova_url = http://10.42.42.20:8774/v2

[nova]
auth_type = password
auth_url = http://10.42.42.20:35357
project_domain_id = default
project_name = service
region_name = RegionOne
user_domain_id = default

username = nova
password = NOVA_PASSWORD

[agent]
root_helper = sudo /usr/bin/neutron-rootwrap /etc/neutron/rootwrap.conf

[keystone_authtoken]
auth_type = password
auth_uri = http://10.42.42.20:5000
auth_url = http://10.42.42.20:35357
project_domain_id = default
project_name = service
user_domain_id = default

username = neutron
password = NEUTRON_PASSWORD

memcached_servers = 10.42.42.20:11211

[database]
connection = mysql+pymysql://neutron:NEUTRON_MYSQL_PASSWORD@10.42.42.20/neutron

[service_providers]
service_provider = LOADBALANCERV2:Haproxy:neutron_lbaas.drivers.haproxy.plugin_driver.HaproxyOnHostPluginDriver:default

[oslo_messaging_notifications]
driver = messagingv2
topics = notifications
